Subject: Bug#438 closed by Mike Gabriel <[email-masked]> (Re: [X2Go-Dev] Bug#438: x2goserver and rhel6.4 / selinux Problem)

From: [email-masked] (X2Go Bug Tracking System)
Date: Thu, 06 Mar 2014 07:45:02 +0000

This is an automatic notification regarding your Bug report
which was filed against the x2goserver package:

#438: x2goserver and rhel6.4 / selinux Problem

It has been closed by Mike Gabriel <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Mike Gabriel <[email-masked]> by
replying to this email.

-- 
438: http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=438
X2Go Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [X2Go-Dev] Bug#438: x2goserver and rhel6.4 / selinux Problem
From: Mike Gabriel <[email-masked]>
To: Frank Knoben <[email-masked]>
Cc: Orion Poplawski <[email-masked]>, [email-masked]
Date: Thu, 06 Mar 2014 07:41:09 +0000

Control: close -1

Hi Frank,

On  Do 06 Mär 2014 08:16:14 CET, Frank Knoben wrote:

> Hi Orion, hi Mike,
>
> thank you very much for your support and your patience.
>
> Sincerly
>
> Frank

You are welcome!

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb

Subject: x2goserver and rhel6.4 / selinux Problem
From: Frank Knoben <[email-masked]>
To: [email-masked]
Date: Thu, 27 Feb 2014 10:05:37 +0100

Package: x2goserver
Version: 4.0.1.13

Hello,

on a scientific linux 6.4 system with selinux enabled (RedHat Clone) I 
have the following problem with x2goserver-4.0.1.13-2.el6.x86_64:

After connecting with x2goclient to the server system, the .Xauthority 
file my home directory is created with the following selinx
permissions:

---------------------------

ls -Z .Xauthority

-rw-------. frank users unconfined_u:object_r:default_t:s0 .Xauthority

--------------------------

Then I do a logout. Now, when I try to connect again to the x2go server 
system, I get
the following error message on the client side and no session is started.

-----------------------------
.....

"Warning: Cookie mismatch in the X authentication data.
"

"Session: Terminating session at 'Thu Feb 27 09:40:05 2014'.
Info: Your session was closed before reaching a usable state.
Info: This can be due to the local X server refusing access to the client.
Info: Please check authorization provided by the remote X application.
Session: Session terminated at 'Thu Feb 27 09:40:05 2014'.
"

deleting proxy

nxproxy not running

proxy deleted

-----------------------------------

But when I change the selinux permissions to

------

ls -Z .Xauthority

-rw-------. frank users unconfined_u:object_r:xauth_home_t:s0 .Xauthority

-----

with the command

/usr/bin/chcon unconfined_u:object_r:xauth_home_t:s0 .Xauthority*

there is no problem logging in to the x2goserver system the next time.

Can this be fixed in the x2goserver software?

Sincerly

Frank Knoben

Institut fuer Geometrie und Praktische Mathematik
RWTH Aachen
Aachen.
Germany